## GtkCheckMenuItem

GtkCheckMenuItem

## Functions

GtkWidget * | gtk_check_menu_item_new ()
GtkWidget * | gtk_check_menu_item_new_with_label ()
GtkWidget * | gtk_check_menu_item_new_with_mnemonic ()
gboolean | gtk_check_menu_item_get_active ()
void | gtk_check_menu_item_set_active ()
void | gtk_check_menu_item_set_show_toggle ()
void | gtk_check_menu_item_toggled ()
gboolean | gtk_check_menu_item_get_inconsistent ()
void | gtk_check_menu_item_set_inconsistent ()
void | gtk_check_menu_item_set_draw_as_radio ()
gboolean | gtk_check_menu_item_get_draw_as_radio ()

## Properties

gboolean | active | Read / Write
gboolean | draw-as-radio | Read / Write
gboolean | inconsistent | Read / Write

## Style Properties

gint | indicator-size | Read

## Signals

void | toggled | Run First

## Types and Values

struct | GtkCheckMenuItem
#define | gtk_check_menu_item_set_state

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkContainer
                        ╰── GtkBin
                            ╰── GtkItem
                                ╰── GtkMenuItem
                                    ╰── GtkCheckMenuItem
                                        ╰── GtkRadioMenuItem

## Implemented Interfaces

GtkCheckMenuItem implements AtkImplementorIface, GtkBuildable and GtkActivatable.

## Includes

    #include <gtk/gtk.h>

## Description

## Functions

### gtk_check_menu_item_new ()

    GtkWidget *
    gtk_check_menu_item_new (void);

### gtk_check_menu_item_new_with_label ()

    GtkWidget *
    gtk_check_menu_item_new_with_label (const gchar *label);

### gtk_check_menu_item_new_with_mnemonic ()

    GtkWidget *
    gtk_check_menu_item_new_with_mnemonic (const gchar *label);

Creates a new GtkCheckMenuItem containing a label. The label will be created using `gtk_label_new_with_mnemonic()`, so underscores in `label` indicate the mnemonic for the menu item.

#### Parameters

label | The text of the button, with an underscore in front of the mnemonic character |
returns | a new GtkCheckMenuItem |

### gtk_check_menu_item_get_active ()

    gboolean
    gtk_check_menu_item_get_active (GtkCheckMenuItem *check_menu_item);

Returns whether the check menu item is active. See `gtk_check_menu_item_set_active()`.

#### Parameters

check_menu_item | a GtkCheckMenuItem |

#### Returns

`TRUE` if the menu item is checked.

### gtk_check_menu_item_set_active ()

    void
    gtk_check_menu_item_set_active (GtkCheckMenuItem *check_menu_item,
                                    gboolean is_active);

### gtk_check_menu_item_set_show_toggle ()

    void
    gtk_check_menu_item_set_show_toggle (GtkCheckMenuItem *menu_item,
                                         gboolean always);

`gtk_check_menu_item_set_show_toggle` is deprecated and should not be used in newly-written code.

### gtk_check_menu_item_toggled ()

    void
    gtk_check_menu_item_toggled (GtkCheckMenuItem *check_menu_item);

### gtk_check_menu_item_get_inconsistent ()

    gboolean
    gtk_check_menu_item_get_inconsistent (GtkCheckMenuItem *check_menu_item);

Retrieves the value set by `gtk_check_menu_item_set_inconsistent()`.

#### Parameters

check_menu_item | a GtkCheckMenuItem |

#### Returns

`TRUE` if inconsistent

### gtk_check_menu_item_set_inconsistent ()

    void
    gtk_check_menu_item_set_inconsistent (GtkCheckMenuItem *check_menu_item,
                                          gboolean setting);

If the user has selected a range of elements (such as some text or spreadsheet cells) that are affected by a boolean setting, and the current values in that range are inconsistent, you may want to display the check in an "in between" state. This function turns on "in between" display. Normally you would turn off the inconsistent state again if the user explicitly selects a setting. This has to be done manually, `gtk_check_menu_item_set_inconsistent()` only affects visual appearance, it doesn't affect the semantics of the widget.

#### Parameters

check_menu_item | a GtkCheckMenuItem |
setting | `TRUE` to display an "inconsistent" third state check |

### gtk_check_menu_item_set_draw_as_radio ()

    void
    gtk_check_menu_item_set_draw_as_radio (GtkCheckMenuItem *check_menu_item,
                                           gboolean draw_as_radio);

Sets whether `check_menu_item` is drawn like a GtkRadioMenuItem

#### Parameters

check_menu_item | a GtkCheckMenuItem |
draw_as_radio | whether `check_menu_item` is drawn like a GtkRadioMenuItem |

Since: 2.4

### gtk_check_menu_item_get_draw_as_radio ()

    gboolean
    gtk_check_menu_item_get_draw_as_radio (GtkCheckMenuItem *check_menu_item);

Returns whether `check_menu_item` looks like a GtkRadioMenuItem

#### Parameters

check_menu_item | a GtkCheckMenuItem |

#### Returns

Whether `check_menu_item` looks like a GtkRadioMenuItem

Since: 2.4

## Types and Values

### struct GtkCheckMenuItem

    struct GtkCheckMenuItem;

### gtk_check_menu_item_set_state

    #define gtk_check_menu_item_set_state		gtk_check_menu_item_set_active

`gtk_check_menu_item_set_state` is deprecated and should not be used in newly-written code.

## Property Details

### The `“active”` property

      “active”                   gboolean

Whether the menu item is checked.

Flags: Read / Write

Default value: FALSE

### The `“draw-as-radio”` property

      “draw-as-radio”            gboolean

Whether the menu item looks like a radio menu item.

Flags: Read / Write

Default value: FALSE

### The `“inconsistent”` property

      “inconsistent”             gboolean

Whether to display an "inconsistent" state.

Flags: Read / Write

Default value: FALSE

## Style Property Details

### The `“indicator-size”` style property

      “indicator-size”           gint

Size of check or radio indicator.

Flags: Read

Allowed values: >= 0

Default value: 13

## Signal Details

### The `“toggled”` signal

    void
    user_function (GtkCheckMenuItem *checkmenuitem,
                   gpointer          user_data)

Flags: Run First